> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Companies

> List companies. Filter by name/domain search, lifecycle stage (prospect, onboarding, customer, churned),
owner, CSM, health status (healthy, watch, at_risk, none) or renewal before a date.
Sorts: name, -updated_at, -created_at, health (worst first), renewal_date (soonest first), -arr.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/crm/companies
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/crm/companies:
    get:
      tags:
        - CRM
      summary: List Companies
      description: >-
        List companies. Filter by name/domain search, lifecycle stage (prospect,
        onboarding, customer, churned),

        owner, CSM, health status (healthy, watch, at_risk, none) or renewal
        before a date.

        Sorts: name, -updated_at, -created_at, health (worst first),
        renewal_date (soonest first), -arr.
      operationId: list_crm_companies
      parameters:
        - in: query
          name: search
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
          required: false
        - in: query
          name: lifecycle_stage
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Lifecycle Stage
          required: false
        - in: query
          name: owner_id
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Owner Id
          required: false
        - in: query
          name: csm_id
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Csm Id
          required: false
        - in: query
          name: health_status
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Health Status
          required: false
        - in: query
          name: renewal_before
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Renewal Before
          required: false
        - in: query
          name: sort
          schema:
            default: name
            title: Sort
            type: string
          required: false
        - in: query
          name: page
          schema:
            default: 1
            title: Page
            type: integer
          required: false
        - in: query
          name: page_size
          schema:
            default: 50
            title: Page Size
            type: integer
          required: false
      responses:
        '200':
          description: OK
      security:
        - ScopedAPIKeyAuth: []
components:
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.